> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/keywords/contains.md).

# Contains

{% hint style="info" %}
The `Contains` keyword can be used on either **Texts**, **Concept Sets** or **Lists**.&#x20;

It checks if a <mark style="color:blue;">text</mark>, a <mark style="color:blue;">concept set</mark> or a <mark style="color:blue;">list</mark> contains a value (of **corresponding** type).

This function is PARTIALLY SQL compatible:

* the variant `concept_set contains concept_set` is **NOT SQL compatible**

For more information about SQL compatibility, see our [documentation](/platform/wemreference/sql-compatibility.md).
{% endhint %}

{% hint style="success" %}
Returns a <mark style="color:green;">Yes/No</mark> value that indicates if the searched item is indeed part of the source being searched.
{% endhint %}

{% hint style="warning" %}
Text functions are not case-sensitive and ignore diacritics (accents).
{% endhint %}

<details>

<summary><mark style="color:blue;"><code>text</code></mark><code> contains </code><mark style="color:blue;"><code>text</code></mark></summary>

`"With tangerine trees and marmalade skies" Contains "marmalade"`\
*=> Yes*

</details>

<details>

<summary><mark style="color:blue;"><code>concept_set</code></mark><code> contains </code><mark style="color:blue;"><code>concept_b</code></mark></summary>

`{ 'PowerUser', 'Administrator' } Contains 'Administrator'`\
*=> Yes*

</details>

<details>

<summary><mark style="color:blue;"><code>concept_set</code></mark><code> contains </code><mark style="color:blue;"><code>concept_set</code></mark></summary>

{ `'User', 'PowerUser', 'Admin' } contains { 'User', 'Admin' }`\
*=> Yes*

{ `'PowerUser', 'Admin' } contains { 'User', 'PowerUser' }`\
*=> No (the second set is not contained entirely within the first set, although there is overlap - which is a different keyword/function)*

*This variant will always have to be executed outside SQL context - it is not SQL compatible.*

</details>

<details>

<summary><mark style="color:blue;"><code>list</code></mark><code> contains </code><mark style="color:blue;"><code>item</code></mark></summary>

`list(1, 2, 3) contains 2`\
*=> Yes*

`list("A", "B", "C") contains "B"`\
*=> Yes*

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wem.io/platform/wemreference/keywords/contains.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
